package kafkademo.kafka.listener;

import org.springframework.kafka.annotation.KafkaListener;
import org.springframework.stereotype.Component;

@Component
public class SingleListener {

    @KafkaListener(topics = "one-exchange", groupId = "group-id")
    public String listen(String msg) {
        System.out.println("Received Messasge in group - group-id: " + msg);
        return "Received Messasge in group - group-id: " + msg;
    }

}
